import bb.cascades 1.2

Container {
    id: changelogContainer
    property alias changelogText: changelogLabel.text
    
    layout: DockLayout {}
    horizontalAlignment: HorizontalAlignment.Fill
    verticalAlignment: VerticalAlignment.Fill
    topPadding: ui.du(10)
    bottomPadding: topPadding
    leftPadding: topPadding
    rightPadding: topPadding

    Container {
        layout: DockLayout {}
        horizontalAlignment: HorizontalAlignment.Fill
        verticalAlignment: VerticalAlignment.Fill
        background: backgroundImage.imagePaint
        attachedObjects: [
            ImagePaintDefinition {
                id: backgroundImage
                repeatPattern: RepeatPattern.XY
                imageSource: "asset:///images/icons/appIcon_faded.amd"
            }
        ]
        
        ScrollView {
            id: changelogScrollview
            horizontalAlignment: HorizontalAlignment.Center
            verticalAlignment: VerticalAlignment.Center
            Container {
                Label {
                    id: changelogLabel
                    multiline: true
                    horizontalAlignment: HorizontalAlignment.Center
                }
                Button {
                    text: qsTr("Ok")
                    horizontalAlignment: HorizontalAlignment.Center
                    onClicked: {
                        changelogContainer.visible = false
                        changelogScrollview.scrollToPoint(0, 0)
                    }
                }
            }
        }
    }
}
