import bb.cascades 1.2

Container {
    topMargin: navigationPane.generalPadding
    bottomMargin: topMargin
    
    horizontalAlignment: HorizontalAlignment.Center
    DropDown {
        id: dropDown
        title: qsTr("Automatically Change Watchface")
        Option {                        
            text: qsTr("ON")
            value: true
        }
        Option {
            text: qsTr("OFF")
            value: false
        }
        onSelectedOptionChanged: {
            _settings.setValue("autoChangeWatchfaceDropDown", selectedValue)
        }
    }
    onCreationCompleted: {
        _settings.setValue("autoChangeWatchfaceDropDown", false)
        var thisDropDown = _settings.value("autoChangeWatchfaceDropDown", false)
        for (var i = 0; i < dropDown.count(); i++) {
            if (thisDropDown == dropDown.at(i).value)
                dropDown.setSelectedOption(dropDown.at(i))
        }
    }
}
