import bb.cascades 1.2

Container {
    topMargin: navigationPane.generalPadding
    bottomMargin: topMargin
    
    horizontalAlignment: HorizontalAlignment.Center
    DropDown {
        id: dropDown
        title: qsTr("Temperature Scale")
        Option {                        
            text: qsTr("Celsius")
            value: "celsius"
        }
        Option {
            text: qsTr("Farenheit")
            value: "farenheit"
        }
        onSelectedOptionChanged: {
            _settings.setValue("celsiusOrFarenheitDropDown", selectedValue)
        }
    }
    onCreationCompleted: {
        var thisDropDown = _settings.value("celsiusOrFarenheitDropDown", "celsius")
        for (var i = 0; i < dropDown.count(); i++) {
            if (thisDropDown == dropDown.at(i).value)
                dropDown.setSelectedOption(dropDown.at(i))
        }
    }
}
