import bb.cascades 1.2

Container {
    topMargin: navigationPane.generalPadding
    bottomMargin: topMargin
    
    horizontalAlignment: HorizontalAlignment.Center
    DropDown {
        id: dropDown
        title: qsTr("Number Of Vibrations")
        Option {                        
            text: qsTr("1 short")
            value: 1
        }
        Option {
            text: qsTr("2 short")
            value: 2
        }
        Option {
            text: qsTr("3 short")
            value: 3
        }
        Option {
            text: qsTr("1 long")
            value: 4
        }
        onSelectedOptionChanged: {
            _settings.setValue("numberOfVibrationsDropDown", selectedValue)
        }
    }
    onCreationCompleted: {
        var thisDropDown = _settings.value("numberOfVibrationsDropDown", 1)
        for (var i = 0; i < dropDown.count(); i++) {
            if (thisDropDown == dropDown.at(i).value)
                dropDown.setSelectedOption(dropDown.at(i))
        }
    }
}
