import bb.cascades 1.2

Container {
    property bool showCalendar: dropDown.selectedValue
    
    topMargin: navigationPane.generalPadding
    bottomMargin: topMargin
    
    horizontalAlignment: HorizontalAlignment.Center
    DropDown {
        id: dropDown
        title: qsTr("Show Calendar Events Count")
        Option {                        
            text: qsTr("Yes")
            value: true
        }
        Option {
            text: qsTr("No")
            value: false
        }
        onSelectedOptionChanged: {
            _settings.setValue("showCalendarDropDown", selectedValue)
            _app.sendToHeadless("SHOW_CALENDAR_CHANGED", selectedValue.toString())
        }
    }
    onCreationCompleted: {
        var thisDropDown = _settings.value("showCalendarDropDown", false)
        for (var i = 0; i < dropDown.count(); i++) {
            if (thisDropDown == dropDown.at(i).value)
                dropDown.setSelectedOption(dropDown.at(i))
        }
    }
}
