import bb.cascades 1.2

Container {
    property string vibrateOnUnread: dropDown.selectedValue
    
    topMargin: navigationPane.generalPadding
    bottomMargin: topMargin
    
    horizontalAlignment: HorizontalAlignment.Center
    DropDown {
        id: dropDown
        title: qsTr("Vibrate On...")
        Option {                        
            id: all
            text: qsTr("All Unread Activity")
            value: "all"
        }
        Option {
            id: first
            text: qsTr("First Unread Activity For Each Account")
            value: "first"
        }
        Option {
            id: disabled
            text: qsTr("Do Not Vibrate")
            value: "disabled"
        }
        onSelectedOptionChanged: {
            _settings.setValue("vibrateOnUnreadDropDown", selectedValue)
        }
    }
    onCreationCompleted: {
        var thisDropDown = _settings.value("vibrateOnUnreadDropDown", "first")
        for (var i = 0; i < dropDown.count(); i++) {
            if (thisDropDown == dropDown.at(i).value)
                dropDown.setSelectedOption(dropDown.at(i))
        }
    }
}
