import bb.cascades 1.2

Container {
    topMargin: navigationPane.generalPadding
    bottomMargin: topMargin
    
    horizontalAlignment: HorizontalAlignment.Center
    DropDown {
        id: dropDown
        title: qsTr("VIP Learning Mode")
        Option {                        
            text: qsTr("ON")
            value: true
        }
        Option {
            text: qsTr("OFF")
            value: false
        }
        onSelectedOptionChanged: {
            _settings.setValue("vipLearningModeOn", selectedValue)
        }
    }
    onCreationCompleted: {
        var thisDropDown = _settings.value("vipLearningModeOn", false)
        for (var i = 0; i < dropDown.count(); i++) {
            if (thisDropDown == dropDown.at(i).value)
                dropDown.setSelectedOption(dropDown.at(i))
        }
    }
}
