import bb.cascades 1.2

Container {
    topMargin: navigationPane.generalPadding
    bottomMargin: topMargin
    
    horizontalAlignment: HorizontalAlignment.Center
    DropDown {
        id: dropDown
        title: qsTr("Weather Service Provider")
        Option {                        
            text: qsTr("OpenWeatherMap")
            value: 0
        }
        Option {
            text: qsTr("Yahoo")
            value: 1
        }
        Option {
            text: qsTr("Dark Sky")
            value: 2
        }
        onSelectedOptionChanged: {
            _settings.setValue("weatherServiceDropDown", selectedValue)
            _app.sendToHeadless("WEATHER_SERVICE_CHANGED", selectedValue.toString())
        }
    }
    onCreationCompleted: {
        var thisDropDown = _settings.value("weatherServiceDropDown", 0)
        for (var i = 0; i < dropDown.count(); i++) {
            if (thisDropDown == dropDown.at(i).value)
                dropDown.setSelectedOption(dropDown.at(i))
        }
    }
}
