import bb.cascades 1.2

Container {
    property string account
    property bool accountEnabled
        
    topMargin: _ui.du(2)
    horizontalAlignment: HorizontalAlignment.Right
    layout: StackLayout { orientation: LayoutOrientation.LeftToRight }
    Label {
        text: account
    }
    CheckBox {
        checked: (accountsSelected.enabledHubAccounts.indexOf(account) >= 0)
        onCheckedChanged: {
//            console.log("Before: " + accountsSelected.enabledHubAccounts)
            _fileSystem.enabledOrDisabledThisAccount(account, checked)
        }
    }
}
