import bb.cascades 1.2

Container {
    property string thisValue
    
    topMargin: navigationPane.generalPadding
    bottomMargin: topMargin
    
    horizontalAlignment: HorizontalAlignment.Center
    DropDown {
        id: dropDown
        title: qsTr("Get Location From")
        Option {                        
            text: qsTr("GPS")
            value: "GPS"
        }
        Option {
            text: qsTr("Place Picker")
            value: "Place"
        }
        onSelectedOptionChanged: {
            thisValue = selectedValue
            _settings.setValue("gpsOrPlaceDropDown", selectedValue)
            if (_settings.value("placeSelected", "") != "") {
                _app.sendToHeadless("SHOW_WEATHER", "true") // Request refresh
            }
        }
    }
    onCreationCompleted: {
        var thisDropDown = _settings.value("gpsOrPlaceDropDown", "GPS")
        for (var i = 0; i < dropDown.count(); i++) {
            if (thisDropDown == dropDown.at(i).value)
                dropDown.setSelectedOption(dropDown.at(i))
        }
    }
}
