import bb.cascades 1.2

Container {
    topMargin: navigationPane.generalPadding
    bottomMargin: topMargin

    horizontalAlignment: HorizontalAlignment.Center
    DropDown {
        id: dropDown
        title: qsTr("Hide Accounts With 0 Unread")
        Option {                        
            id: yes
            text: qsTr("Yes")
            value: true
        }
        Option {
            id: no
            text: qsTr("No")
            value: false
        }
        onSelectedOptionChanged: {
            _settings.setValue("hideReadAccountsDropDown", selectedValue)
            _app.updateUI()
        }
    }
    onCreationCompleted: {
        var thisDropDown = _settings.value("hideReadAccountsDropDown", true)
        for (var i = 0; i < dropDown.count(); i++) {
            if (thisDropDown == dropDown.at(i).value)
                dropDown.setSelectedOption(dropDown.at(i))
        }
    }
}
