import bb.cascades 1.2

Container {
    topMargin: navigationPane.generalPadding
    bottomMargin: topMargin
    
    horizontalAlignment: HorizontalAlignment.Center
    DropDown {
        id: dropDown
        title: qsTr("Show Battery On Wrist Shake")
        Option {                        
            text: qsTr("Yes")
            value: true
        }
        Option {
            text: qsTr("No")
            value: false
        }
        onSelectedOptionChanged: {
            _settings.setValue("wristShakeEnabledDropDown", selectedValue)
            _app.sendToHeadless("WRIST_SHAKE_ENABLED", selectedValue.toString())
        }
    }
    onCreationCompleted: {
        var thisDropDown = _settings.value("wristShakeEnabledDropDown", true)
        for (var i = 0; i < dropDown.count(); i++) {
            if (thisDropDown == dropDown.at(i).value)
                dropDown.setSelectedOption(dropDown.at(i))
        }
    }
}
